Subject: [Gen-art] Gen-ART review of draft-ietf-ppsp-peer-protocol-10

From: Christer Holmberg <[email-masked]>
Date: Mon, 30 Jun 2014 10:07:15 +0000

I am the assigned Gen-ART reviewer for this draft. For background on Gen-ART, please see the FAQ at <http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>

Document:                         draft-ietf-ppsp-peer-protocol-10

Reviewer:                           Christer Holmberg

Review Date:                     30 June 2014

IETF LC End Date:             1 July 2014

IETF Telechat Date:         10 July 2014

Summary:                         The document is well written, and almost ready for publication. However, there is a minor issue which I ask the authors to address.

Major Issues: None

Minor Issues:

Section 3.12 talks about keep alive signaling.

Q1: The sending of keep alives is a SHOULD, and there are no procedures on how to act if keep alives are not received. There isn't even a mechanism to negotiate the sending of keep alives. 

So, I assume it means that a peer shall not take any actions if it does NOT receive keep alives, or even rely on receiving keep alives to begin with? If so, I think it would be good to clarify that.

Q2: As the sending of keep alives is a SHOULD, are there example cases when keep alives would NOT be sent?

Q3: The text saying "to each peer it wants to interact with in the future" sounds a little strange to me. How does a peer know with whom it wants to interact in the future? Perhaps the text instead should talk about peers with whom one wants to maintain a signaling channel, or something like that?

Editorial nits: None

Regards,

Christer